Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.plexus.type
Class TypeMappingRegistry

    java.lang.Object
      org.codehaus.xfire.aegis.type.DefaultTypeMappingRegistry
          org.codehaus.xfire.plexus.type.TypeMappingRegistry

All Implemented Interfaces:
  org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Configurable, org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable, TypeMappingRegistry

    public class TypeMappingRegistry

extends DefaultTypeMappingRegistry
implements org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Configurable, org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable

Extends and configures the TypeMappingRegistry.

Since:
  Oct 31, 2004
Author:
  Dan Diephouse

Field Summary

Fields inherited from interface org.codehaus.xfire.aegis.type.TypeMappingRegistry
`ROLE`

Constructor Summary
`TypeMappingRegistry()`

Method Summary
`void` | `configure(org.codehaus.plexus.configuration.PlexusConfiguration config)`
`void` | `enableLogging(org.codehaus.plexus.logging.Logger logger)`
`void` | `initialize()`

Methods inherited from class org.codehaus.xfire.aegis.type.DefaultTypeMappingRegistry
`clear, createDefaultMappings, createRootTypeCreator, createTypeCreator, createTypeMapping, createTypeMapping, createTypeMapping, getDefaultTypeMapping, getRegisteredEncodingStyleURIs, getTypeMapping, register, registerDefault, removeTypeMapping, unregisterTypeMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeMappingRegistry

    public TypeMappingRegistry()

Method Detail

### configure

    public void configure(org.codehaus.plexus.configuration.PlexusConfiguration config)
                   throws org.codehaus.plexus.configuration.PlexusConfigurationException

  Specified by:
    `configure` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Configurable`
  Throws:
    `org.codehaus.plexus.configuration.PlexusConfigurationException`

### enableLogging

    public void enableLogging(org.codehaus.plexus.logging.Logger logger)

  Specified by:
    `enableLogging` in interface `org.codehaus.plexus.logging.LogEnabled`

### initialize

    public void initialize()

  Specified by:
    `initialize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.